MINTPY-TEMPORAL_FILTER(1)

NAME
mintpy-temporal_filter - Smoothing timeseries in time domain with a moving Gaussian window

DESCRIPTION
usage: temporal_filter.py [-h] [-t TIME_WIN] [-o OUTFILE] timeseries_file

Smoothing timeseries in time domain with a moving Gaussian window

  positional arguments:

timeseries_file
    timeseries file to be smoothed.

  options:

-h, --help
    show this help message and exit

-t TIME_WIN, --time-win TIME_WIN
    time window in years, default: 0.1 (Sigma of the assmued Gaussian distribution.)

-o OUTFILE, --outfile OUTFILE
    Output file name.

  reference:

    Wikipedia: https://en.wikipedia.org/wiki/Gaussian_blur

  example:

    temporal_filter.py timeseries_ERA5_demErr.h5 temporal_filter.py timeseries_ERA5_demErr.h5 -t 0.1